#include <CompactQik2s9v1.h>    // From pololu.com or ARB Support Site
#include <SoftwareSerial.h>
 

#define rxPin 5
#define txPin 6
#define rstPin 7

SoftwareSerial mySerial =  SoftwareSerial(rxPin, txPin);
CompactQik2s9v1 motor = CompactQik2s9v1(&mySerial,rstPin);

void setup() {
  mySerial.begin(9600);
  motor.begin();
  motor.stopBothMotors();
}

void loop() {
  // Both motors forward 3/4 speed
  doDelay();
  motor.motor0Forward(96);
  motor.motor1Forward(96);
  delay (1000);

  // Both motors forward 1/2 speed
  motor.motor0Forward(63);
  motor.motor1Forward(63);
  delay (1000);

  // Both motors reverse 1/2 speed
  doDelay();
  motor.motor0Reverse(63);
  motor.motor1Reverse(63);  
  delay (1000);

  // Both motors reverse 3/4 speed
  motor.motor0Reverse(96);
  motor.motor1Reverse(96);  
  delay (1000);
}

void doDelay() {    // Short delay between transitions
  motor.motor0Forward(0);
  motor.motor1Forward(0);  
  delay (250);
}

